Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### copy()
Examples |
    PImage img = loadImage("eames.jpg");
    image(img, 0, 0);
    copy(15, 25, 10, 10, 35, 25, 50, 50);
    noFill();
    // Rectangle shows area being copied
    rect(15, 25, 10, 10);
Description | Copies a region of pixels from the display window to another area of the display window and copies a region of pixels from an image used as the srcImg parameter into the display window. If the source and destination regions aren't the same size, it will automatically resize the source pixels to fit the specified target region. No alpha information is used in the process, however if the source image has an alpha channel set, it will be copied as well. As of release 0149, this function ignores imageMode().
Syntax |
    copy(x, y, width, height, dx, dy, dwidth, dheight)
    copy(srcImg, x, y, width, height, dx, dy, dwidth, dheight)
Parameters |
x | int: X coordinate of the source's upper left corner
y | int: Y coordinate of the source's upper left corner
width | int: source image width
height | int: source image height
dx | int: X coordinate of the destination's upper left corner
dy | int: Y coordinate of the destination's upper left corner
dwidth | int: destination image width
dheight | int: destination image height
srcImg | PImage: image variable referring to the source image
Returns | None
Usage | Web & Application
Related | blend() get()

Updated on August 30, 2010 04:29:39pm EDT